Checkpoints
List checkpoints
Lists Loops checkpoints filtered by run id, base model, or bt:// URI.
GET
/
v1
/
loops
/
checkpoints
cURL
curl --request GET \
--url https://api.baseten.co/v1/loops/checkpoints \
--header "Authorization: Bearer $BASETEN_API_KEY"
import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/loops/checkpoints"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
params={'run_id': 'k4q95w5', 'base_model': 'Qwen/Qwen3-8B', 'checkpoint_path': 'bt://loops:k4q95w5/sampler_weights/step-100'}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/loops/checkpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkpoints": [
{
"checkpoint_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"checkpoint_type": "<string>",
"base_model": "<string>",
"lora_adapter_config": {},
"size_bytes": 123,
"id": "<string>",
"run_id": "<string>",
"target": "sampler",
"sync_status": "<string>"
}
]
}Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Query Parameters
Filter by run ID. Returns all checkpoints saved by the run.
Example:
"k4q95w5"
Filter by base model. Returns checkpoints across the caller's runs of this base model.
Example:
"Qwen/Qwen3-8B"
bt:// URI of a Loops checkpoint. Form: bt://loops:<run_id>/(weights|sampler_weights)/<checkpoint_name>.
Example:
"bt://loops:k4q95w5/sampler_weights/step-100"
Response
200 - application/json
Checkpoints matching the query filter.
Matching checkpoints.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
